Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.hibernate.support
[Java] Class HibernateBeanWrapper

    java.lang.Object
      org.springframework.beans.PropertyEditorRegistrySupport
          org.springframework.beans.AbstractPropertyAccessor
              org.springframework.beans.BeanWrapperImpl
                  org.codehaus.groovy.grails.orm.hibernate.support.HibernateBeanWrapper

    public class HibernateBeanWrapper
    extends org.springframework.beans.BeanWrapperImpl

BeanWrapper implementaion that will not lazy initialize entity properties.

Field Summary

Fields inherited from class org.springframework.beans.BeanWrapperImpl
NESTED_PROPERTY_SEPARATOR, NESTED_PROPERTY_SEPARATOR_CHAR, PROPERTY_KEY_PREFIX, PROPERTY_KEY_PREFIX_CHAR, PROPERTY_KEY_SUFFIX, PROPERTY_KEY_SUFFIX_CHAR

Constructor Summary
`HibernateBeanWrapper()`
`HibernateBeanWrapper(boolean b)`
`HibernateBeanWrapper(java.lang.Object o)`
`HibernateBeanWrapper(java.lang.Class aClass)`
`HibernateBeanWrapper(java.lang.Object o, java.lang.String s, java.lang.Object o1)`

Method Summary
`java.lang.Object` | `getPropertyValue(java.lang.String name)` Checks Hibernate.isInitialized before calling super method.

Methods inherited from class org.springframework.beans.BeanWrapperImpl
org.springframework.beans.BeanWrapperImpl#toString(), org.springframework.beans.BeanWrapperImpl#getPropertyType(java.lang.String), org.springframework.beans.BeanWrapperImpl#getPropertyDescriptors(), org.springframework.beans.BeanWrapperImpl#getSecurityContext(), org.springframework.beans.BeanWrapperImpl#getPropertyValue(java.lang.String), org.springframework.beans.BeanWrapperImpl#convertIfNecessary(java.lang.Object, java.lang.Class, org.springframework.core.MethodParameter), org.springframework.beans.BeanWrapperImpl#getWrappedInstance(), org.springframework.beans.BeanWrapperImpl#getWrappedClass(), org.springframework.beans.BeanWrapperImpl#getPropertyDescriptor(java.lang.String), org.springframework.beans.BeanWrapperImpl#setSecurityContext(java.security.AccessControlContext), org.springframework.beans.BeanWrapperImpl#isWritableProperty(java.lang.String), org.springframework.beans.BeanWrapperImpl#convertForProperty(java.lang.Object, java.lang.String), org.springframework.beans.BeanWrapperImpl#setAutoGrowNestedPaths(boolean), org.springframework.beans.BeanWrapperImpl#isAutoGrowNestedPaths(), org.springframework.beans.BeanWrapperImpl#setAutoGrowCollectionLimit(int), org.springframework.beans.BeanWrapperImpl#getAutoGrowCollectionLimit(), org.springframework.beans.BeanWrapperImpl#isReadableProperty(java.lang.String), org.springframework.beans.BeanWrapperImpl#getPropertyTypeDescriptor(java.lang.String), org.springframework.beans.BeanWrapperImpl#setPropertyValue(org.springframework.beans.PropertyValue), org.springframework.beans.BeanWrapperImpl#setPropertyValue(java.lang.String, java.lang.Object), org.springframework.beans.BeanWrapperImpl#getNestedPath(), org.springframework.beans.BeanWrapperImpl#setWrappedInstance(java.lang.Object), org.springframework.beans.BeanWrapperImpl#setWrappedInstance(java.lang.Object, java.lang.String, java.lang.Object), org.springframework.beans.BeanWrapperImpl#getRootInstance(), org.springframework.beans.BeanWrapperImpl#getRootClass(), org.springframework.beans.BeanWrapperImpl#setPropertyValues(org.springframework.beans.PropertyValues, boolean), org.springframework.beans.BeanWrapperImpl#setPropertyValues(java.util.Map), org.springframework.beans.BeanWrapperImpl#setPropertyValues(org.springframework.beans.PropertyValues), org.springframework.beans.BeanWrapperImpl#setPropertyValues(org.springframework.beans.PropertyValues, boolean, boolean), org.springframework.beans.BeanWrapperImpl#convertIfNecessary(java.lang.Object, java.lang.Class), org.springframework.beans.BeanWrapperImpl#setExtractOldValueForEditor(boolean), org.springframework.beans.BeanWrapperImpl#isExtractOldValueForEditor(), org.springframework.beans.BeanWrapperImpl#setConversionService(org.springframework.core.convert.ConversionService), org.springframework.beans.BeanWrapperImpl#getConversionService(), org.springframework.beans.BeanWrapperImpl#registerCustomEditor(java.lang.Class, java.lang.String, java.beans.PropertyEditor), org.springframework.beans.BeanWrapperImpl#registerCustomEditor(java.lang.Class, java.beans.PropertyEditor), org.springframework.beans.BeanWrapperImpl#useConfigValueEditors(), org.springframework.beans.BeanWrapperImpl#findCustomEditor(java.lang.Class, java.lang.String), org.springframework.beans.BeanWrapperImpl#overrideDefaultEditor(java.lang.Class, java.beans.PropertyEditor), org.springframework.beans.BeanWrapperImpl#getDefaultEditor(java.lang.Class), org.springframework.beans.BeanWrapperImpl#registerSharedEditor(java.lang.Class, java.beans.PropertyEditor), org.springframework.beans.BeanWrapperImpl#isSharedEditor(java.beans.PropertyEditor), org.springframework.beans.BeanWrapperImpl#hasCustomEditorForElement(java.lang.Class, java.lang.String), org.springframework.beans.BeanWrapperImpl#wait(), org.springframework.beans.BeanWrapperImpl#wait(long), org.springframework.beans.BeanWrapperImpl#wait(long, int), org.springframework.beans.BeanWrapperImpl#equals(java.lang.Object), org.springframework.beans.BeanWrapperImpl#hashCode(), org.springframework.beans.BeanWrapperImpl#getClass(), org.springframework.beans.BeanWrapperImpl#notify(), org.springframework.beans.BeanWrapperImpl#notifyAll()

Methods inherited from class org.springframework.beans.AbstractPropertyAccessor
org.springframework.beans.AbstractPropertyAccessor#getPropertyType(java.lang.String), org.springframework.beans.AbstractPropertyAccessor#setPropertyValues(org.springframework.beans.PropertyValues, boolean), org.springframework.beans.AbstractPropertyAccessor#setPropertyValues(java.util.Map), org.springframework.beans.AbstractPropertyAccessor#setPropertyValues(org.springframework.beans.PropertyValues), org.springframework.beans.AbstractPropertyAccessor#setPropertyValues(org.springframework.beans.PropertyValues, boolean, boolean), org.springframework.beans.AbstractPropertyAccessor#getPropertyValue(java.lang.String), org.springframework.beans.AbstractPropertyAccessor#convertIfNecessary(java.lang.Object, java.lang.Class), org.springframework.beans.AbstractPropertyAccessor#setExtractOldValueForEditor(boolean), org.springframework.beans.AbstractPropertyAccessor#isExtractOldValueForEditor(), org.springframework.beans.AbstractPropertyAccessor#setPropertyValue(java.lang.String, java.lang.Object), org.springframework.beans.AbstractPropertyAccessor#setPropertyValue(org.springframework.beans.PropertyValue), org.springframework.beans.AbstractPropertyAccessor#setConversionService(org.springframework.core.convert.ConversionService), org.springframework.beans.AbstractPropertyAccessor#getConversionService(), org.springframework.beans.AbstractPropertyAccessor#registerCustomEditor(java.lang.Class, java.lang.String, java.beans.PropertyEditor), org.springframework.beans.AbstractPropertyAccessor#registerCustomEditor(java.lang.Class, java.beans.PropertyEditor), org.springframework.beans.AbstractPropertyAccessor#useConfigValueEditors(), org.springframework.beans.AbstractPropertyAccessor#findCustomEditor(java.lang.Class, java.lang.String), org.springframework.beans.AbstractPropertyAccessor#overrideDefaultEditor(java.lang.Class, java.beans.PropertyEditor), org.springframework.beans.AbstractPropertyAccessor#getDefaultEditor(java.lang.Class), org.springframework.beans.AbstractPropertyAccessor#registerSharedEditor(java.lang.Class, java.beans.PropertyEditor), org.springframework.beans.AbstractPropertyAccessor#isSharedEditor(java.beans.PropertyEditor), org.springframework.beans.AbstractPropertyAccessor#hasCustomEditorForElement(java.lang.Class, java.lang.String), org.springframework.beans.AbstractPropertyAccessor#wait(), org.springframework.beans.AbstractPropertyAccessor#wait(long), org.springframework.beans.AbstractPropertyAccessor#wait(long, int), org.springframework.beans.AbstractPropertyAccessor#equals(java.lang.Object), org.springframework.beans.AbstractPropertyAccessor#toString(), org.springframework.beans.AbstractPropertyAccessor#hashCode(), org.springframework.beans.AbstractPropertyAccessor#getClass(), org.springframework.beans.AbstractPropertyAccessor#notify(), org.springframework.beans.AbstractPropertyAccessor#notifyAll(), org.springframework.beans.AbstractPropertyAccessor#isWritableProperty(java.lang.String), org.springframework.beans.AbstractPropertyAccessor#isReadableProperty(java.lang.String), org.springframework.beans.AbstractPropertyAccessor#getPropertyTypeDescriptor(java.lang.String), org.springframework.beans.AbstractPropertyAccessor#convertIfNecessary(java.lang.Object, java.lang.Class, org.springframework.core.MethodParameter)

Constructor Detail

### HibernateBeanWrapper

    public HibernateBeanWrapper()

### HibernateBeanWrapper

    public HibernateBeanWrapper(boolean b)

### HibernateBeanWrapper

    public HibernateBeanWrapper(java.lang.Object o)

### HibernateBeanWrapper

    public HibernateBeanWrapper(java.lang.Class aClass)

### HibernateBeanWrapper

    public HibernateBeanWrapper(java.lang.Object o, java.lang.String s, java.lang.Object o1)

Method Detail

### getPropertyValue

    public Object getPropertyValue(String name) throws BeansException {
    public java.lang.Object getPropertyValue(java.lang.String name)

  Checks Hibernate.isInitialized before calling super method.
  throws:
    BeansException
  Parameters:
    `name` - target property
  Returns:
    null if false or super'name value if true

Groovy Documentation